// 一个菜单可以包括的所有属性 
// {
// 	id: '12345',		// 菜单id, 必须唯一
// 	name: '用户中心',		// 菜单名称, 同时也是tab选项卡上显示的名称
// 	icon: 'el-icon-user',	// 菜单图标, 参考地址:  https://element.eleme.cn/#/zh-CN/component/icon
//	info: '管理所有用户',	// 菜单介绍, 在菜单预览和分配权限时会有显示 
// 	url: 'sa-html/user/user-list.html',	// 菜单指向地址
// 	parentId: 1,			// 所属父菜单id, 如果指定了一个值, sa-admin在初始化时会将此菜单转移到指定菜单上 
// 	isShow: true,			// 是否显示, 默认true
// 	isBlank: false,		// 是否属于外部链接, 如果为true, 则点击菜单时从新窗口打开 
// 	childList: [			// 指定这个菜单所有的子菜单, 子菜单可以继续指定子菜单, 至多支持三级菜单
// 		// .... 
// 	],
//	click: function(){}		// 点击菜单执行一个函数 
// }

// 定义菜单列表 
var menuList =	[
	{
		id: 'tb-costomer',
		name: '客户管理',
		icon: 'el-icon-folder-opened',
		info: '客户管理表数据的维护',
		childList: [
			{id: 'tb-costomer-list', name: '客户管理-列表', url: 'sa-view/tb-costomer/tb-costomer-list.html'},
			{id: 'tb-costomer-add', name: '客户管理-添加', url: 'sa-view/tb-costomer/tb-costomer-add.html'},
		]
	},
	{
		id: 'tb-goods',
		name: '商品管理',
		icon: 'el-icon-folder-opened',
		info: '商品管理表数据的维护',
		childList: [
			{id: 'tb-goods-list', name: '商品管理-列表', url: 'sa-view/tb-goods/tb-goods-list.html'},
			{id: 'tb-goods-add', name: '商品管理-添加', url: 'sa-view/tb-goods/tb-goods-add.html'},
		]
	},
	{
		id: 'tb-business',
		name: '业务登记',
		icon: 'el-icon-folder-opened',
		info: '业务登记表数据的维护',
		childList: [
			{id: 'tb-business-list', name: '业务登记', url: 'sa-view/tb-business/tb-business-list.html'},
			{id: 'tb-business-add', name: '业务查询', url: 'sa-view/tb-business/tb-business-add.html'},
		]
	},
	{
		id: 'tb-item',
		name: '业务配置项管理',
		icon: 'el-icon-folder-opened',
		info: '业务配置项表数据的维护',
		childList: [
			{id: 'tb-item-list', name: '业务配置项-列表', url: 'sa-view/tb-item/tb-item-list.html'},
			{id: 'tb-item-add', name: '业务配置项-添加', url: 'sa-view/tb-item/tb-item-add.html'},
		]
	},
	{
		id: 'tb-car',
		name: '车辆管理',
		icon: 'el-icon-folder-opened',
		info: '表数据的维护',
		childList: [
			{id: 'tb-car-list', name: '车辆-列表', url: 'sa-view/tb-car/tb-car-list.html'},
			{id: 'tb-car-add', name: '车辆-添加', url: 'sa-view/tb-car/tb-car-add.html'},
		]
	},
	{
		id: 'tb-driver',
		name: '司机管理',
		icon: 'el-icon-folder-opened',
		info: '司机表数据的维护',
		childList: [
			{id: 'tb-driver-list', name: '司机-列表', url: 'sa-view/tb-driver/tb-driver-list.html'},
			{id: 'tb-driver-add', name: '司机-添加', url: 'sa-view/tb-driver/tb-driver-add.html'},
		]
	},
	
	
]