package com.pj.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.apache.ibatis.annotations.Param;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

@Getter
@AllArgsConstructor
public enum RoleEnum {
    INPUT_ROLE("input","业务录入",Arrays.asList("tb-business","tb-business-list","tb-business-add")),
    CONFIRM_ROLE("confirm","业务确认",Arrays.asList("tb-business","tb-business-list","tb-business-confirm")),
    PAY_ROLE("pay","业务支付",Arrays.asList("tb-business","tb-business-list","tb-business-pay")),
    ADMIN_ROLE("admin","管理员", Collections.emptyList()),
    SUPER_ROLE("super","超级管理员", Collections.emptyList());
    private String type;
    private String name;
    private List<String>perCode;

    public static List<RoleEnum>getCustomerInitRoleList(){
        return Arrays.asList(INPUT_ROLE,CONFIRM_ROLE, PAY_ROLE);
    }
}
