package com.pj.project.tb_business;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_business -- 入境登记
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbBusiness.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbBusiness extends Model<TbBusiness> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_business";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-business";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 客户id 
	 */
	private String customerId;

	/**
	 * 客户名称 
	 */
	private String customerName;	

	/**
	 * 编号 
	 */
	private String no;	

	/**
	 * 车牌号 
	 */
	private String cardNo;	

	/**
	 * 车规格 
	 */
	private String cardSize;	

	/**
	 * 载重(kg) 
	 */
	private Double netWeight;	

	/**
	 * 商品 
	 */
	private String goodsName;	

	/**
	 * 商品编号 
	 */
	private String goodsCode;	

	/**
	 * 司机名称 
	 */
	private String driverName;	

	/**
	 * 司机id 
	 */
	private Long driverId;	

	/**
	 * 司机联系号码 
	 */
	private String driverPhone;	

	/**
	 * 司机身份证 
	 */
	private String driverIdCard;	

	/**
	 * 支付凭证 
	 */
	private String payTicket;	

	/**
	 * 预计进边境日期 
	 */
	private String expectInDay;	

	/**
	 * 实际进边境日期 
	 */
	private String realInDay;	

	/**
	 * 实际进境时间 
	 */
	private String realInTime;	

	/**
	 * 支付状态(1=未支付,2=已支付) 
	 */
	private String payStatus;	

	/**
	 * 支付时间 
	 */
	private String payTime;	

	/**
	 * 支付方式(1=线下支付,2现金支付,3=第三方支付) 
	 */
	private String payType;	

	/**
	 * 离境时间 
	 */
	private String outDayTime;


	/**
	 * 停车费用 
	 */
	private BigDecimal partMoney;

	/**
	 * 停车时常(分) 
	 */
	private Integer partTime;
	private BigDecimal totalMoney;
	private Date createTime;
	private String businessType;





	


}
