package com.pj.project.tb_business;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.pj.project.tb_car.TbCar;
import com.pj.project.tb_car.TbCarService;
import com.pj.project.tb_driver.TbDriver;
import com.pj.project.tb_driver.TbDriverService;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.pj.utils.sg.*;

import javax.annotation.Resource;

/**
 * Service: tb_business -- 入境登记
 *
 * @author qzy
 */
@Service
public class TbBusinessService extends ServiceImpl<TbBusinessMapper, TbBusiness> implements IService<TbBusiness> {

    /**
     * 底层 Mapper 对象
     */
    @Autowired
    TbBusinessMapper tbBusinessMapper;
    @Resource
    private TbCarService tbCarService;
    @Resource
    private TbDriverService tbDriverService;

    /**
     * 增
     */
    void add(TbBusiness t) {
        createCar(t.getCardNo(), t.getCardSize(), t.getGoodsName());
        createDriver(t.getDriverIdCard(),t.getDriverName(),t.getDriverPhone());
        save(t);
    }

    private void createDriver(String idCardNo,String name,String phone) {
        TbDriver tbDriver=tbDriverService.findByIdCardNo(idCardNo);
        if (tbDriver==null){
            tbDriver=new TbDriver();
            tbDriver.setCreateTime(new Date()).setIdCard(idCardNo).setName(name).setPhone(phone);
            tbDriverService.save(tbDriver);
        }

    }

    private void createCar(String cardNo, String carSize, String goodsName) {
        TbCar tbCar = tbCarService.findByCardNo(cardNo);
        if (tbCar == null) {
            TbCar car = new TbCar();
            car.setCardNo(cardNo).setCardSize(carSize).setLastGoodsName(goodsName);
            tbCarService.save(car);
        }
    }


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     */
    List<TbBusiness> getList(SoMap so) {
        return tbBusinessMapper.getList(so);
    }


}
