package com.pj.project.tb_business_item;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_business_item -- 业务作业项
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbBusinessItem.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbBusinessItem extends Model<TbBusinessItem> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_business_item";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-business-item";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 等级表id 
	 */
	private Long businessId;	

	/**
	 * 项目编号 
	 */
	private String itemCode;	

	/**
	 * 项目金额(元) 
	 */
	private BigDecimal itemPrice;

	/**
	 * 项目名称 
	 */
	private String itemName;	

	/**
	 * 状态(1=未完成,2=已完成) 
	 */
	private int status;

	/**
	 * 操作时间 
	 */
	private Date operateTime;

	/**
	 * 操作人员 
	 */
	private String operaror;
	/**
	 * 数量
	 */
	private Integer num;
	private String unit;




	


}
