package com.pj.project.tb_goods;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_goods -- 商品管理
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbGoods.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbGoods extends Model<TbGoods> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_goods";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-goods";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 编号 
	 */
	private String code;	

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 状态(1=禁用,2=启用) 
	 */
	private int status;

	/**
	 * 创建时间 
	 */
	private Date createTime;





	


}
