package com.pj.project.tb_item;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_item -- 作业配置项
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbItem.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbItem extends Model<TbItem> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_item";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-item";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 项目编号 
	 */
	private String itemCode;	

	/**
	 * 项目名称 
	 */
	private String itemName;	

	/**
	 * 项目金额(元) 
	 */
	private Double price;	

	/**
	 * 是否必须(1=否,2=是) 
	 */
	private String need;	

	/**
	 * 创建时间 
	 */
	private String createTime;	





	


}
