/*
 Navicat Premium Data Transfer

 Source Server         : local
 Source Server Type    : MySQL
 Source Server Version : 80027
 Source Host           : localhost:3306
 Source Schema         : pco_system

 Target Server Type    : MySQL
 Target Server Version : 80027
 File Encoding         : 65001

 Date: 12/01/2022 15:23:30
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sp_admin
-- ----------------------------
DROP TABLE IF EXISTS `sp_admin`;
CREATE TABLE `sp_admin`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT 'id，--主键、自增',
  `customer_id` bigint(0) NULL DEFAULT NULL COMMENT '客户id',
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'admin名称',
  `avatar` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '密码',
  `pw` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '明文密码',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '手机号',
  `role_id` int(0) NULL DEFAULT 11 COMMENT '所属角色id',
  `status` int(0) NULL DEFAULT 1 COMMENT '账号状态(1=正常, 2=禁用)',
  `create_by_aid` bigint(0) NULL DEFAULT -1 COMMENT '创建自哪个管理员',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `login_time` datetime(0) NULL DEFAULT NULL COMMENT '上次登陆时间',
  `login_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '上次登陆IP',
  `login_count` int(0) NULL DEFAULT 0 COMMENT '登陆次数',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `name`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10003 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统管理员表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sp_admin
-- ----------------------------
INSERT INTO `sp_admin` VALUES (10001, -1, 'sa', 'http://sa-admin.dev33.cn/sa-frame/admin-logo.png', 'E4EF2A290589A23EFE1565BB698437F5', '123456', NULL, 1, 1, -1, '2022-01-12 11:49:36', '2022-01-12 15:17:41', '127.0.0.1', 4);
INSERT INTO `sp_admin` VALUES (10002, 1, 'admin', 'http://sa-admin.dev33.cn/sa-frame/admin-logo.png', '1DE197572C0B23B82BB2F54202E8E00B', 'admin', NULL, 2, 1, -1, '2022-01-12 11:49:36', '2022-01-12 15:01:40', '127.0.0.1', 3);

-- ----------------------------
-- Table structure for sp_apilog
-- ----------------------------
DROP TABLE IF EXISTS `sp_apilog`;
CREATE TABLE `sp_apilog`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '请求id',
  `req_ip` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端ip',
  `req_api` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求api',
  `req_parame` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '请求参数',
  `req_type` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求类型（GET、POST...）',
  `req_token` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求token',
  `req_header` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '请求header',
  `res_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '返回-状态码',
  `res_msg` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '返回-信息描述',
  `res_string` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '返回-整个信息字符串形式',
  `user_id` bigint(0) NULL DEFAULT NULL COMMENT 'user_id',
  `admin_id` bigint(0) NULL DEFAULT NULL COMMENT 'admin_id',
  `start_time` datetime(3) NULL DEFAULT NULL COMMENT '请求开始时间',
  `end_time` datetime(3) NULL DEFAULT NULL COMMENT '请求结束时间',
  `cost_time` bigint(0) NULL DEFAULT NULL COMMENT '花费时间，单位ms',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10001 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'api请求记录表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sp_apilog
-- ----------------------------
INSERT INTO `sp_apilog` VALUES (1481111693802213376, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"123456\",\"key\":\"sa\"}', 'POST', NULL, '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"22\",\"referer\":\"http://localhost:63343/\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641959521103,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"tokenInfo\":{\"tokenName\":\"satoken\",\"tokenValue\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"isLogin\":true,\"loginId\":\"10001\",\"loginType\":\"login\",\"tokenTimeout\":2592000,\"sessionTimeout\":2592000,\"tokenSessionTimeout\":-2,\"tokenActivityTimeout\":-1,\"loginDevice\":\"default-device\",\"tag\":null}},\"dataCount\":-1}', 0, 0, '2022-01-12 03:52:00.278', '2022-01-12 03:52:02.502', 2224);
INSERT INTO `sp_apilog` VALUES (1481111710898196480, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641988321000,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10001, '2022-01-12 03:52:04.264', '2022-01-12 03:52:04.309', 45);
INSERT INTO `sp_apilog` VALUES (1481111753986281472, '127.0.0.1', '/RedisConsole/getPreInfo', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\",\"k\":\"\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"34\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"keys_count\":15,\"keyspace_hits\":\"4425\",\"used_memory_human\":\"743.14K\",\"used_memory_peak_human\":\"929.80K\",\"uptime_in_seconds\":\"584606\",\"isGtMax\":false},\"dataCount\":-1}', 0, 10001, '2022-01-12 03:52:14.535', '2022-01-12 03:52:14.583', 48);
INSERT INTO `sp_apilog` VALUES (1481111754250522624, '127.0.0.1', '/RedisConsole/getKeys', '{\"k\":\"\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"2\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[\"api_pcode_list::1\",\"api_pcode_list2::1\",\"app:token:1465226520326483970\",\"app:token:1469215321943498754\",\"app:token:1469225326939791362\",\"app:token:2\",\"per:10016\",\"satoken:login:id:10016\",\"satoken:login:session:10001\",\"satoken:login:token:d85a0340-c320-49ac-bf75-eb5522680c42\",\"satoken:login:token:e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sesstion:10016\",\"sp_cfg_::AppCfg\",\"VAR_GATEWAY_AUTH_TOKEN_KEY\",\"VAR_GATEWAY_AUTH_TOKEN_REFRESH_LAST_TIME_KEY\"],\"dataCount\":-1}', 0, 10001, '2022-01-12 03:52:14.599', '2022-01-12 03:52:14.611', 12);
INSERT INTO `sp_apilog` VALUES (1481151862056030208, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641988321000,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10001, '2022-01-12 06:31:37.046', '2022-01-12 06:31:37.097', 51);
INSERT INTO `sp_apilog` VALUES (1481151875293253632, '127.0.0.1', '/role/getList', '{\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"1000\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"28\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":1,\"name\":\"超级管理员\",\"info\":\"最高权限\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":2,\"name\":\"二级管理员\",\"info\":\"二级管理员\",\"isLock\":2,\"createTime\":1641988176000},{\"id\":11,\"name\":\"普通账号\",\"info\":\"普通账号\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":12,\"name\":\"测试角色\",\"info\":\"测试角色\",\"isLock\":2,\"createTime\":1641988176000}],\"dataCount\":-1}', 0, 10001, '2022-01-12 06:31:40.206', '2022-01-12 06:31:40.264', 58);
INSERT INTO `sp_apilog` VALUES (1481151884462002176, '127.0.0.1', '/SpRolePermission/getPcodeByRid', '{\"roleId\":\"2\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":-1}', 0, 10001, '2022-01-12 06:31:42.385', '2022-01-12 06:31:42.433', 48);
INSERT INTO `sp_apilog` VALUES (1481152055484747776, '127.0.0.1', '/SpRolePermission/updatePcodeByRid', '{\"code\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\"],\"roleId\":\"2\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"243\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":12,\"dataCount\":-1}', 0, 10001, '2022-01-12 06:32:23.175', '2022-01-12 06:32:23.214', 39);
INSERT INTO `sp_apilog` VALUES (1481152100934225920, '127.0.0.1', '/role/delete', '{\"id\":\"12\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"5\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":1,\"dataCount\":-1}', 0, 10001, '2022-01-12 06:32:33.997', '2022-01-12 06:32:34.033', 36);
INSERT INTO `sp_apilog` VALUES (1481152180831522816, '127.0.0.1', '/role/update', '{\"isLock\":\"2\",\"is_update\":\"true\",\"name\":\"管理员\",\"id\":\"2\",\"info\":\"二级管理员\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"112\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":1,\"dataCount\":-1}', 0, 10001, '2022-01-12 06:32:53.045', '2022-01-12 06:32:53.079', 34);
INSERT INTO `sp_apilog` VALUES (1481152235168731136, '127.0.0.1', '/role/update', '{\"isLock\":\"1\",\"is_update\":\"true\",\"name\":\"客户\",\"id\":\"11\",\"info\":\"普通账号\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"95\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":1,\"dataCount\":-1}', 0, 10001, '2022-01-12 06:33:06.000', '2022-01-12 06:33:06.030', 30);
INSERT INTO `sp_apilog` VALUES (1481154996451020800, '127.0.0.1', '/SpRolePermission/getPcodeByRid', '{\"roleId\":\"2\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\"],\"dataCount\":-1}', 0, 10001, '2022-01-12 06:44:05.056', '2022-01-12 06:44:05.923', 867);
INSERT INTO `sp_apilog` VALUES (1481158631612354560, '127.0.0.1', '/AccAdmin/doExit', '{}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":null,\"dataCount\":-1}', 0, 10001, '2022-01-12 06:58:31.471', '2022-01-12 06:58:31.552', 81);
INSERT INTO `sp_apilog` VALUES (1481158662323048448, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"123456\",\"key\":\"admin\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"25\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '500', '密码错误', '{\"code\":500,\"msg\":\"密码错误\",\"data\":null,\"dataCount\":-1}', 0, 0, '2022-01-12 06:58:38.354', '2022-01-12 06:58:38.400', 46);
INSERT INTO `sp_apilog` VALUES (1481158703901184000, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"admin\",\"key\":\"admin\"}', 'POST', 'e111bdac-3c1d-48a1-b978-eb53c4450251', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"24\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"e111bdac-3c1d-48a1-b978-eb53c4450251\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641970728297,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"tokenInfo\":{\"tokenName\":\"satoken\",\"tokenValue\":\"09783595-9754-4f3b-b85f-a4f4ee7e031c\",\"isLogin\":true,\"loginId\":\"10002\",\"loginType\":\"login\",\"tokenTimeout\":2592000,\"sessionTimeout\":2592000,\"tokenSessionTimeout\":-2,\"tokenActivityTimeout\":-1,\"loginDevice\":\"default-device\",\"tag\":null}},\"dataCount\":-1}', 0, 0, '2022-01-12 06:58:48.268', '2022-01-12 06:58:48.356', 88);
INSERT INTO `sp_apilog` VALUES (1481158707436982272, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', '09783595-9754-4f3b-b85f-a4f4ee7e031c', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"09783595-9754-4f3b-b85f-a4f4ee7e031c\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999528000,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10002, '2022-01-12 06:58:49.117', '2022-01-12 06:58:49.147', 30);
INSERT INTO `sp_apilog` VALUES (1481158764076863488, '127.0.0.1', '/role/getList', '{\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"1000\"}', 'POST', '09783595-9754-4f3b-b85f-a4f4ee7e031c', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"28\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"09783595-9754-4f3b-b85f-a4f4ee7e031c\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":1,\"name\":\"超级管理员\",\"info\":\"最高权限\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":2,\"name\":\"管理员\",\"info\":\"二级管理员\",\"isLock\":2,\"createTime\":1641988176000},{\"id\":11,\"name\":\"客户\",\"info\":\"普通账号\",\"isLock\":1,\"createTime\":1641988176000}],\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:02.620', '2022-01-12 06:59:02.714', 94);
INSERT INTO `sp_apilog` VALUES (1481158782032678912, '127.0.0.1', '/role/getList', '{}', 'POST', '09783595-9754-4f3b-b85f-a4f4ee7e031c', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"09783595-9754-4f3b-b85f-a4f4ee7e031c\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":1,\"name\":\"超级管理员\",\"info\":\"最高权限\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":2,\"name\":\"管理员\",\"info\":\"二级管理员\",\"isLock\":2,\"createTime\":1641988176000},{\"id\":11,\"name\":\"客户\",\"info\":\"普通账号\",\"isLock\":1,\"createTime\":1641988176000}],\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:06.899', '2022-01-12 06:59:06.960', 61);
INSERT INTO `sp_apilog` VALUES (1481158782032678913, '127.0.0.1', '/admin/getList', '{\"sort_type\":\"0\",\"roleId\":\"\",\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"10\",\"id\":\"\"}', 'POST', '09783595-9754-4f3b-b85f-a4f4ee7e031c', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"50\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"09783595-9754-4f3b-b85f-a4f4ee7e031c\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999528000,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"},{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641988321000,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"}],\"dataCount\":2,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":1}', 0, 10002, '2022-01-12 06:59:06.899', '2022-01-12 06:59:07.012', 113);
INSERT INTO `sp_apilog` VALUES (1481158820351840256, '127.0.0.1', '/AccAdmin/doExit', '{}', 'POST', '09783595-9754-4f3b-b85f-a4f4ee7e031c', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"09783595-9754-4f3b-b85f-a4f4ee7e031c\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":null,\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:16.031', '2022-01-12 06:59:16.035', 4);
INSERT INTO `sp_apilog` VALUES (1481158832666316800, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"123456\",\"key\":\"sa\"}', 'POST', '09783595-9754-4f3b-b85f-a4f4ee7e031c', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"22\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"09783595-9754-4f3b-b85f-a4f4ee7e031c\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641970758991,\"loginIp\":\"127.0.0.1\",\"loginCount\":2,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"tokenInfo\":{\"tokenName\":\"satoken\",\"tokenValue\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"isLogin\":true,\"loginId\":\"10001\",\"loginType\":\"login\",\"tokenTimeout\":2592000,\"sessionTimeout\":2592000,\"tokenSessionTimeout\":-2,\"tokenActivityTimeout\":-1,\"loginDevice\":\"default-device\",\"tag\":null}},\"dataCount\":-1}', 0, 0, '2022-01-12 06:59:18.967', '2022-01-12 06:59:19.034', 67);
INSERT INTO `sp_apilog` VALUES (1481158835791073280, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999558000,\"loginIp\":\"127.0.0.1\",\"loginCount\":2,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:19.717', '2022-01-12 06:59:19.726', 9);
INSERT INTO `sp_apilog` VALUES (1481158845618327552, '127.0.0.1', '/admin/getList', '{\"sort_type\":\"0\",\"roleId\":\"\",\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"10\",\"id\":\"\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"50\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999528000,\"loginIp\":\"127.0.0.1\",\"loginCount\":1,\"roleName\":\"超级管理员\"},{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999558000,\"loginIp\":\"127.0.0.1\",\"loginCount\":2,\"roleName\":\"超级管理员\"}],\"dataCount\":2,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":1}', 0, 10001, '2022-01-12 06:59:22.060', '2022-01-12 06:59:22.117', 57);
INSERT INTO `sp_apilog` VALUES (1481158845702213632, '127.0.0.1', '/role/getList', '{}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":1,\"name\":\"超级管理员\",\"info\":\"最高权限\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":2,\"name\":\"管理员\",\"info\":\"二级管理员\",\"isLock\":2,\"createTime\":1641988176000},{\"id\":11,\"name\":\"客户\",\"info\":\"普通账号\",\"isLock\":1,\"createTime\":1641988176000}],\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:22.079', '2022-01-12 06:59:22.115', 36);
INSERT INTO `sp_apilog` VALUES (1481158861581848576, '127.0.0.1', '/admin/updateRole', '{\"roleId\":\"2\",\"id\":\"10002\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"17\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":1,\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:25.862', '2022-01-12 06:59:25.895', 33);
INSERT INTO `sp_apilog` VALUES (1481158886353408000, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"admin\",\"key\":\"admin\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"24\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641970771813,\"loginIp\":\"127.0.0.1\",\"loginCount\":2,\"roleName\":\"管理员\"},\"per_list\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\"],\"tokenInfo\":{\"tokenName\":\"satoken\",\"tokenValue\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"isLogin\":true,\"loginId\":\"10002\",\"loginType\":\"login\",\"tokenTimeout\":2592000,\"sessionTimeout\":2592000,\"tokenSessionTimeout\":-2,\"tokenActivityTimeout\":-1,\"loginDevice\":\"default-device\",\"tag\":null}},\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:31.773', '2022-01-12 06:59:31.863', 90);
INSERT INTO `sp_apilog` VALUES (1481158889985675264, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999571000,\"loginIp\":\"127.0.0.1\",\"loginCount\":2,\"roleName\":\"管理员\"},\"per_list\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:32.633', '2022-01-12 06:59:32.667', 34);
INSERT INTO `sp_apilog` VALUES (1481158891252355072, '127.0.0.1', '/admin/getList', '{\"sort_type\":\"0\",\"roleId\":\"\",\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"10\",\"id\":\"\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"50\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '403', '无此权限：admin-list', '{\"code\":403,\"msg\":\"无此权限：admin-list\",\"data\":null,\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:32.934', '2022-01-12 06:59:32.969', 35);
INSERT INTO `sp_apilog` VALUES (1481158891252355073, '127.0.0.1', '/role/getList', '{}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '403', '无此权限：99', '{\"code\":403,\"msg\":\"无此权限：99\",\"data\":null,\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:32.935', '2022-01-12 06:59:32.969', 34);
INSERT INTO `sp_apilog` VALUES (1481158913712852992, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999571000,\"loginIp\":\"127.0.0.1\",\"loginCount\":2,\"roleName\":\"管理员\"},\"per_list\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:38.289', '2022-01-12 06:59:38.299', 10);
INSERT INTO `sp_apilog` VALUES (1481158960986853376, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"123456\",\"key\":\"sa\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"22\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641970789592,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"tokenInfo\":{\"tokenName\":\"satoken\",\"tokenValue\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"isLogin\":true,\"loginId\":\"10001\",\"loginType\":\"login\",\"tokenTimeout\":2592000,\"sessionTimeout\":2592000,\"tokenSessionTimeout\":-2,\"tokenActivityTimeout\":-1,\"loginDevice\":\"default-device\",\"tag\":null}},\"dataCount\":-1}', 0, 10002, '2022-01-12 06:59:49.566', '2022-01-12 06:59:49.620', 54);
INSERT INTO `sp_apilog` VALUES (1481158964589760512, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999589000,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:50.419', '2022-01-12 06:59:50.454', 35);
INSERT INTO `sp_apilog` VALUES (1481158978133168128, '127.0.0.1', '/admin/getList', '{\"sort_type\":\"0\",\"roleId\":\"\",\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"10\",\"id\":\"\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"50\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999571000,\"loginIp\":\"127.0.0.1\",\"loginCount\":2,\"roleName\":\"管理员\"},{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999589000,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"超级管理员\"}],\"dataCount\":2,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":1}', 0, 10001, '2022-01-12 06:59:53.648', '2022-01-12 06:59:53.677', 29);
INSERT INTO `sp_apilog` VALUES (1481158978149945344, '127.0.0.1', '/role/getList', '{}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":1,\"name\":\"超级管理员\",\"info\":\"最高权限\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":2,\"name\":\"管理员\",\"info\":\"二级管理员\",\"isLock\":2,\"createTime\":1641988176000},{\"id\":11,\"name\":\"客户\",\"info\":\"普通账号\",\"isLock\":1,\"createTime\":1641988176000}],\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:53.652', '2022-01-12 06:59:53.669', 17);
INSERT INTO `sp_apilog` VALUES (1481158987780067328, '127.0.0.1', '/role/getList', '{\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"1000\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"28\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":1,\"name\":\"超级管理员\",\"info\":\"最高权限\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":2,\"name\":\"管理员\",\"info\":\"二级管理员\",\"isLock\":2,\"createTime\":1641988176000},{\"id\":11,\"name\":\"客户\",\"info\":\"普通账号\",\"isLock\":1,\"createTime\":1641988176000}],\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:55.952', '2022-01-12 06:59:55.983', 31);
INSERT INTO `sp_apilog` VALUES (1481158995472420864, '127.0.0.1', '/SpRolePermission/getPcodeByRid', '{\"roleId\":\"2\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\"],\"dataCount\":-1}', 0, 10001, '2022-01-12 06:59:57.783', '2022-01-12 06:59:57.818', 35);
INSERT INTO `sp_apilog` VALUES (1481159335290736640, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999589000,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10001, '2022-01-12 07:01:18.802', '2022-01-12 07:01:18.851', 49);
INSERT INTO `sp_apilog` VALUES (1481159336695828480, '127.0.0.1', '/role/getList', '{\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"1000\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"28\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[{\"id\":1,\"name\":\"超级管理员\",\"info\":\"最高权限\",\"isLock\":1,\"createTime\":1641988176000},{\"id\":2,\"name\":\"管理员\",\"info\":\"二级管理员\",\"isLock\":2,\"createTime\":1641988176000},{\"id\":11,\"name\":\"客户\",\"info\":\"普通账号\",\"isLock\":1,\"createTime\":1641988176000}],\"dataCount\":-1}', 0, 10001, '2022-01-12 07:01:19.143', '2022-01-12 07:01:19.165', 22);
INSERT INTO `sp_apilog` VALUES (1481159350302150656, '127.0.0.1', '/SpRolePermission/getPcodeByRid', '{\"roleId\":\"2\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\"],\"dataCount\":-1}', 0, 10001, '2022-01-12 07:01:22.380', '2022-01-12 07:01:22.396', 16);
INSERT INTO `sp_apilog` VALUES (1481159401330053120, '127.0.0.1', '/SpRolePermission/updatePcodeByRid', '{\"code\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-car\",\"tb-car-list\",\"tb-car-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\",\"tb-goods\",\"tb-goods-list\",\"tb-goods-add\"],\"roleId\":\"2\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"339\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":18,\"dataCount\":-1}', 0, 10001, '2022-01-12 07:01:34.558', '2022-01-12 07:01:34.596', 38);
INSERT INTO `sp_apilog` VALUES (1481159426156138496, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"admin\",\"key\":\"admin\"}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"24\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641970900481,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"管理员\"},\"per_list\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-car\",\"tb-car-list\",\"tb-car-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\",\"tb-goods\",\"tb-goods-list\",\"tb-goods-add\"],\"tokenInfo\":{\"tokenName\":\"satoken\",\"tokenValue\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"isLogin\":true,\"loginId\":\"10002\",\"loginType\":\"login\",\"tokenTimeout\":2592000,\"sessionTimeout\":2592000,\"tokenSessionTimeout\":-2,\"tokenActivityTimeout\":-1,\"loginDevice\":\"default-device\",\"tag\":null}},\"dataCount\":-1}', 0, 10001, '2022-01-12 07:01:40.465', '2022-01-12 07:01:40.516', 51);
INSERT INTO `sp_apilog` VALUES (1481159429184425984, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999700000,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"管理员\"},\"per_list\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-car\",\"tb-car-list\",\"tb-car-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\",\"tb-goods\",\"tb-goods-list\",\"tb-goods-add\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10002, '2022-01-12 07:01:41.187', '2022-01-12 07:01:41.197', 10);
INSERT INTO `sp_apilog` VALUES (1481159430337859584, '127.0.0.1', '/role/getList', '{\"pageNo\":\"1\",\"name\":\"\",\"pageSize\":\"1000\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"28\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '403', '无此权限：99', '{\"code\":403,\"msg\":\"无此权限：99\",\"data\":null,\"dataCount\":-1}', 0, 10002, '2022-01-12 07:01:41.463', '2022-01-12 07:01:41.478', 15);
INSERT INTO `sp_apilog` VALUES (1481159447186378752, '127.0.0.1', '/TbCar/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:01:45.480', '2022-01-12 07:01:45.521', 41);
INSERT INTO `sp_apilog` VALUES (1481159794621550592, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999700000,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"管理员\"},\"per_list\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-car\",\"tb-car-list\",\"tb-car-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\",\"tb-goods\",\"tb-goods-list\",\"tb-goods-add\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10002, '2022-01-12 07:03:08.315', '2022-01-12 07:03:08.353', 38);
INSERT INTO `sp_apilog` VALUES (1481159796290883584, '127.0.0.1', '/TbCar/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:03:08.712', '2022-01-12 07:03:08.720', 8);
INSERT INTO `sp_apilog` VALUES (1481159818617163776, '127.0.0.1', '/TbItem/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:03:14.040', '2022-01-12 07:03:14.077', 37);
INSERT INTO `sp_apilog` VALUES (1481159841476120576, '127.0.0.1', '/TbGoods/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:03:19.489', '2022-01-12 07:03:19.499', 10);
INSERT INTO `sp_apilog` VALUES (1481159865064886272, '127.0.0.1', '/TbBusiness/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:03:25.113', '2022-01-12 07:03:25.149', 36);
INSERT INTO `sp_apilog` VALUES (1481159890725638144, '127.0.0.1', '/TbBusinessItem/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:03:31.229', '2022-01-12 07:03:31.271', 42);
INSERT INTO `sp_apilog` VALUES (1481160960529010688, '127.0.0.1', '/TbCostomer/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:07:46.913', '2022-01-12 07:07:47.874', 961);
INSERT INTO `sp_apilog` VALUES (1481161713444327424, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10002,\"name\":\"admin\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"admin\",\"phone\":null,\"roleId\":2,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641999700000,\"loginIp\":\"127.0.0.1\",\"loginCount\":3,\"roleName\":\"管理员\"},\"per_list\":[\"tb-business\",\"tb-business-list\",\"tb-business-add\",\"tb-business-item\",\"tb-business-item-list\",\"tb-business-item-add\",\"tb-car\",\"tb-car-list\",\"tb-car-add\",\"tb-costomer\",\"tb-costomer-list\",\"tb-costomer-add\",\"tb-item\",\"tb-item-list\",\"tb-item-add\",\"tb-goods\",\"tb-goods-list\",\"tb-goods-add\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10002, '2022-01-12 07:10:45.804', '2022-01-12 07:10:45.878', 74);
INSERT INTO `sp_apilog` VALUES (1481161714954276864, '127.0.0.1', '/TbCostomer/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:10:46.159', '2022-01-12 07:10:46.169', 10);
INSERT INTO `sp_apilog` VALUES (1481161773200576512, '127.0.0.1', '/TbGoods/getList', '{\"sortType\":\"0\",\"pageNo\":\"1\",\"pageSize\":\"10\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"31\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":[],\"dataCount\":0,\"pageNo\":1,\"pageSize\":10,\"startIndex\":0,\"pageCount\":0}', 0, 10002, '2022-01-12 07:11:00.046', '2022-01-12 07:11:00.095', 49);
INSERT INTO `sp_apilog` VALUES (1481162297933172736, '127.0.0.1', '/upload/image', '{}', 'POST', NULL, '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"1905\",\"referer\":\"http://localhost:63343/\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"connection\":\"keep-alive\",\"content-type\":\"multipart/form-data; boundary=----WebKitFormBoundary5BFtdwApEA8AXyJJ\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":\"http://127.0.0.1:8099/upload/image/2022/01-12/1641971585152396710759.png\",\"dataCount\":-1}', 0, 0, '2022-01-12 07:13:05.149', '2022-01-12 07:13:05.155', 6);
INSERT INTO `sp_apilog` VALUES (1481163229513256960, '127.0.0.1', '/AccAdmin/doExit', '{}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":null,\"dataCount\":-1}', 0, 10002, '2022-01-12 07:16:47.258', '2022-01-12 07:16:47.331', 73);
INSERT INTO `sp_apilog` VALUES (1481163457800835072, '127.0.0.1', '/AccAdmin/doLogin', '{\"password\":\"123456\",\"key\":\"sa\"}', 'POST', 'ff7068a3-e748-4541-8ac0-b1ffed803075', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"22\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"ff7068a3-e748-4541-8ac0-b1ffed803075\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"content-type\":\"application/x-www-form-urlencoded; charset=UTF-8\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1641971861718,\"loginIp\":\"127.0.0.1\",\"loginCount\":4,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"tokenInfo\":{\"tokenName\":\"satoken\",\"tokenValue\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"isLogin\":true,\"loginId\":\"10001\",\"loginType\":\"login\",\"tokenTimeout\":2592000,\"sessionTimeout\":2592000,\"tokenSessionTimeout\":-2,\"tokenActivityTimeout\":-1,\"loginDevice\":\"default-device\",\"tag\":null}},\"dataCount\":-1}', 0, 0, '2022-01-12 07:17:41.685', '2022-01-12 07:17:41.741', 56);
INSERT INTO `sp_apilog` VALUES (1481163592698040320, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1642000661000,\"loginIp\":\"127.0.0.1\",\"loginCount\":4,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10001, '2022-01-12 07:18:13.848', '2022-01-12 07:18:13.865', 17);
INSERT INTO `sp_apilog` VALUES (1481164261769220096, '127.0.0.1', '/AccAdmin/fristOpenAdmin', '{}', 'POST', '9fc19dc9-3dca-46b0-aee6-81a9a8e0c215', '{\"sec-fetch-mode\":\"cors\",\"content-length\":\"0\",\"referer\":\"http://localhost:63343/\",\"satoken\":\"9fc19dc9-3dca-46b0-aee6-81a9a8e0c215\",\"sec-fetch-site\":\"cross-site\",\"accept-language\":\"zh-CN,zh;q=0.9,en;q=0.8,en-GB;q=0.7,en-US;q=0.6\",\"origin\":\"http://localhost:63343\",\"accept\":\"application/json, text/javascript, */*; q=0.01\",\"sec-ch-ua\":\"\\\" Not A;Brand\\\";v=\\\"99\\\", \\\"Chromium\\\";v=\\\"96\\\", \\\"Microsoft Edge\\\";v=\\\"96\\\"\",\"sec-ch-ua-mobile\":\"?0\",\"sec-ch-ua-platform\":\"\\\"Windows\\\"\",\"host\":\"127.0.0.1:8099\",\"x-requested-with\":\"XMLHttpRequest\",\"connection\":\"keep-alive\",\"accept-encoding\":\"gzip, deflate, br\",\"user-agent\":\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.110 Safari/537.36 Edg/96.0.1054.62\",\"sec-fetch-dest\":\"empty\"}', '200', 'ok', '{\"code\":200,\"msg\":\"ok\",\"data\":{\"admin\":{\"id\":10001,\"name\":\"sa\",\"avatar\":\"http://sa-admin.dev33.cn/sa-frame/admin-logo.png\",\"password\":\"********\",\"pw\":\"123456\",\"phone\":null,\"roleId\":1,\"status\":1,\"createByAid\":-1,\"createTime\":1641988176000,\"loginTime\":1642000661000,\"loginIp\":\"127.0.0.1\",\"loginCount\":4,\"roleName\":\"超级管理员\"},\"per_list\":[\"bas\",\"1\",\"11\",\"99\",\"console\",\"sql-console\",\"redis-console\",\"apilog-list\",\"form-generator\",\"auth\",\"role-list\",\"menu-list\",\"admin-list\",\"admin-add\",\"sp-cfg\",\"sp-cfg-app\",\"sp-cfg-server\"],\"app_cfg\":null},\"dataCount\":-1}', 0, 10001, '2022-01-12 07:20:53.370', '2022-01-12 07:20:53.401', 31);

-- ----------------------------
-- Table structure for sp_cfg
-- ----------------------------
DROP TABLE IF EXISTS `sp_cfg`;
CREATE TABLE `sp_cfg`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `cfg_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '配置名',
  `cfg_value` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '配置值',
  `remarks` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `cfg_name`(`cfg_name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '配置信息表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sp_cfg
-- ----------------------------
INSERT INTO `sp_cfg` VALUES (1, 'app_cfg', '{}', '应用配置信息，对外公开');
INSERT INTO `sp_cfg` VALUES (2, 'server_cfg', '{}', '服务器私有配置');

-- ----------------------------
-- Table structure for sp_role
-- ----------------------------
DROP TABLE IF EXISTS `sp_role`;
CREATE TABLE `sp_role`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '角色id，--主键、自增',
  `name` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名称, 唯一约束',
  `info` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '角色详细描述',
  `is_lock` int(0) NOT NULL DEFAULT 1 COMMENT '是否锁定(1=是,2=否), 锁定之后不可随意删除, 防止用户误操作',
  `create_time` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `name`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 13 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统角色表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sp_role
-- ----------------------------
INSERT INTO `sp_role` VALUES (1, '超级管理员', '最高权限', 1, '2022-01-12 11:49:36');
INSERT INTO `sp_role` VALUES (2, '管理员', '二级管理员', 2, '2022-01-12 11:49:36');
INSERT INTO `sp_role` VALUES (11, '客户', '普通账号', 1, '2022-01-12 11:49:36');

-- ----------------------------
-- Table structure for sp_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sp_role_permission`;
CREATE TABLE `sp_role_permission`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT 'id号',
  `role_id` bigint(0) NULL DEFAULT NULL COMMENT '角色ID ',
  `permission_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单项ID',
  `create_time` timestamp(0) NULL DEFAULT CURRENT_TIMESTAMP(0) COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色权限中间表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of sp_role_permission
-- ----------------------------
INSERT INTO `sp_role_permission` VALUES (1, 1, 'bas', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (2, 1, '1', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (3, 1, '11', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (4, 1, '99', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (5, 1, 'console', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (6, 1, 'sql-console', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (7, 1, 'redis-console', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (8, 1, 'apilog-list', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (9, 1, 'form-generator', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (10, 1, 'auth', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (11, 1, 'role-list', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (12, 1, 'menu-list', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (13, 1, 'admin-list', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (14, 1, 'admin-add', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (15, 1, 'sp-cfg', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (16, 1, 'sp-cfg-app', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (17, 1, 'sp-cfg-server', '2022-01-12 11:49:36');
INSERT INTO `sp_role_permission` VALUES (30, 2, 'tb-business', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (31, 2, 'tb-business-list', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (32, 2, 'tb-business-add', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (33, 2, 'tb-business-item', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (34, 2, 'tb-business-item-list', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (35, 2, 'tb-business-item-add', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (36, 2, 'tb-car', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (37, 2, 'tb-car-list', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (38, 2, 'tb-car-add', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (39, 2, 'tb-costomer', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (40, 2, 'tb-costomer-list', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (41, 2, 'tb-costomer-add', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (42, 2, 'tb-item', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (43, 2, 'tb-item-list', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (44, 2, 'tb-item-add', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (45, 2, 'tb-goods', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (46, 2, 'tb-goods-list', '2022-01-12 15:01:34');
INSERT INTO `sp_role_permission` VALUES (47, 2, 'tb-goods-add', '2022-01-12 15:01:34');

-- ----------------------------
-- Table structure for tb_business
-- ----------------------------
DROP TABLE IF EXISTS `tb_business`;
CREATE TABLE `tb_business`  (
  `id` bigint(0) NOT NULL COMMENT '主键[num]',
  `customer_id` bigint(0) NULL DEFAULT NULL COMMENT '客户id',
  `customer_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '客户名称[no-add]',
  `no` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '编号',
  `card_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '车牌号',
  `card_size` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '车规格',
  `net_weight` double(10, 2) NULL DEFAULT NULL COMMENT '载重(kg)',
  `goods_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '商品',
  `goods_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '商品编号[no-add]',
  `driver_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '司机名称',
  `driver_id` bigint(0) NULL DEFAULT NULL COMMENT '司机id[no-add]',
  `driver_phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '司机联系号码',
  `driver_id_card` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '司机身份证',
  `pay_ticket` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '支付凭证[img]',
  `expect_in_day` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '预计进边境日期',
  `real_in_day` date NULL DEFAULT NULL COMMENT '实际进边境日期[no-add]',
  `real_in_time` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '实际进境时间[no-add]',
  `pay_status` tinyint(1) NULL DEFAULT NULL COMMENT '支付状态(1=未支付,2=已支付)[j no-add]',
  `pay_time` datetime(0) NULL DEFAULT NULL COMMENT '支付时间[no-add]',
  `pay_type` tinyint(1) NULL DEFAULT NULL COMMENT '支付方式(1=线下支付,2现金支付,3=第三方支付)[j]',
  `out_day_time` datetime(0) NULL DEFAULT NULL COMMENT '离境时间[no-add]',
  `part_money` decimal(6, 0) NULL DEFAULT NULL COMMENT '停车费用[no-add]',
  `part_time` int(0) NULL DEFAULT NULL COMMENT '停车时常(分)[no-add]',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '入境登记' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_business_item
-- ----------------------------
DROP TABLE IF EXISTS `tb_business_item`;
CREATE TABLE `tb_business_item`  (
  `id` bigint(0) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键[num no-add]',
  `business_id` bigint(0) NULL DEFAULT NULL COMMENT '等级表id[no-add]',
  `item_code` varchar(30) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '项目编号',
  `item_price` decimal(10, 2) NULL DEFAULT NULL COMMENT '项目金额(元)',
  `item_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '项目名称',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '状态(1=未完成,2=已完成)',
  `operate_time` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  `operaror` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '操作人员',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '业务作业项' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_car
-- ----------------------------
DROP TABLE IF EXISTS `tb_car`;
CREATE TABLE `tb_car`  (
  `id` bigint(0) NOT NULL COMMENT '主键[num no-add]',
  `card_no` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称',
  `card_size` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '规格',
  `last_goods_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '最后一次运输商品',
  `last_goods_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '最后一次运输商品编号',
  `last_net_weight` double(10, 2) NULL DEFAULT NULL COMMENT '最后一次载重',
  `last_in_time` datetime(0) NULL DEFAULT NULL COMMENT '最后一次入境时间',
  `last_out_time` datetime(0) NULL DEFAULT NULL COMMENT '最后一次出境时间',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '当前状态(1=境外,2=境内)[j]',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '车辆管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_costomer
-- ----------------------------
DROP TABLE IF EXISTS `tb_costomer`;
CREATE TABLE `tb_costomer`  (
  `id` bigint(0) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键[num]',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '联系号码',
  `duty_people` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '负责人',
  `address_ids` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '地址id',
  `address_str` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '地址',
  `business_licence` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '营业执照[img]',
  `status` tinyint(1) NULL DEFAULT 1 COMMENT '状态(0=否,1=是)[j switch=true]',
  `creare_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `judge_status` tinyint(1) NULL DEFAULT NULL COMMENT '审核状态(1=未审核,2审核通过,3审核不通过)[j]',
  `judge_time` datetime(0) NULL DEFAULT NULL COMMENT '审核时间',
  `judge_content` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '审核意见',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '客户管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_driver
-- ----------------------------
DROP TABLE IF EXISTS `tb_driver`;
CREATE TABLE `tb_driver`  (
  `id` bigint(0) NOT NULL COMMENT '主键[num no-add]',
  `name` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称',
  `phone` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '手机号码',
  `id_card` varchar(20) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '身份证',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '司机' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_goods
-- ----------------------------
DROP TABLE IF EXISTS `tb_goods`;
CREATE TABLE `tb_goods`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '编号',
  `name` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '名称',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '状态(1=禁用,2=启用)[j switch=true]',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '商品管理' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for tb_item
-- ----------------------------
DROP TABLE IF EXISTS `tb_item`;
CREATE TABLE `tb_item`  (
  `id` bigint(0) NOT NULL COMMENT '主键[num no-add]',
  `item_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '项目编号',
  `item_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_bin NULL DEFAULT NULL COMMENT '项目名称',
  `price` decimal(10, 2) NULL DEFAULT NULL COMMENT '项目金额(元)',
  `need` tinyint(1) NULL DEFAULT NULL COMMENT '是否必须(1=否,2=是)[j switch=true]',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间[no-add]',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_bin COMMENT = '作业配置项' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
